%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %global tcl_sitelib %{_datadir}/tcl%{tcl_version}}
%{!?tcl_sitearch: %global tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           tcllauncher
Version:        1.10
Release:        4%{?dist}
Summary:        A launcher program for Tcl applications

License:        BSD
URL:            https://github.com/flightaware/tcllauncher
Source0:        https://github.com/flightaware/tcllauncher/archive/refs/tags/v%{version}.tar.gz

Patch0:         tcllauncher-1.10-search-path.patch

BuildRequires: autoconf
BuildRequires: tcl-devel < 9
BuildRequires: gcc

Requires:      tclx

%description
tcllauncher is a way to have Tcl programs run out of /usr/bin under their
own name, be installed in one place with their support files, and provides
commands to facilitate server-oriented application execution.

%prep
%autosetup -n %{name}-%{version}


%build
autoconf
%configure \
    --disable-rpath \
    --libdir=%{tcl_sitelib} \
    --datadir=%{tcl_sitelib} 
%make_build

%install
rm -rf %{buildroot}
%make_install


%files
%license LICENSE
%doc README* ChangeLog
%{_bindir}/tcllauncher
%{tcl_sitelib}/Tcllauncher%{version}
%{_mandir}/man*/*


%changelog
* Sun Mar 02 2025 Ralf Ertzinger <ralf@skytale.net> - 1.10-3
- Bump for rebuild

* Thu May 05 2022 Ralf Ertzinger <ralf@skytale.net> - 1.10-2
- Rebuilt for F36

* Thu May 27 2021 Ralf Ertzinger <ralf@skytale.net> - 1.10-1
- Initial build of 1.10
